/*
 * Copyright 2004 The Apache Software Foundation.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *      http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.apache.myfaces.custom.crosstable;

import javax.faces.component.UIComponent;

import org.apache.myfaces.component.UIColumns;
import org.apache.myfaces.renderkit.JSFAttr;
import org.apache.myfaces.taglib.html.HtmlComponentBodyTagBase;

/**
 * @author Mathias Broekelmann (latest modification by $Author: matzew $)
 * @version $Revision: 1.1 $ $Date: 2005/03/29 11:40:50 $
 * $Log: HtmlColumnsTag.java,v $
 * Revision 1.1  2005/03/29 11:40:50  matzew
 * added new crosstable component (x:columns). Contributed by Mathias Broekelmann
 *
 */
public class HtmlColumnsTag extends HtmlComponentBodyTagBase
{
  private String mVar;

  /**
   * @see javax.faces.webapp.UIComponentTag#getComponentType()
   */
  public String getComponentType()
  {
    return UIColumns.COMPONENT_TYPE;
  }

  /**
   * @see javax.faces.webapp.UIComponentTag#getRendererType()
   */
  public String getRendererType()
  {
    return null;
  }

  public void setVar(String var)
  {
    mVar = var;
  }

  protected void setProperties(UIComponent component)
  {
    super.setProperties(component);

    setStringProperty(component, JSFAttr.VAR_ATTR, mVar);
  }
}
